// Библиотека с расширенными функциями для работы с Servo
#include <AmperkaServo.h>

// Создаём объект для работы с сервомоторами
AmperkaServo servo;

// Задаём имя пина к которому подключён сервопривод
constexpr uint8_t SERVO_PIN = 9;

void setup() {
 // Подключаем сервомотор
  // servo.attach(SERVO_PIN);
  // Подключаем сервомотор с расширенными параметрами
  // Советуем использовать именно этот вариант для точной настройки мотора  
  // servo.attach(pin, minPulseWidth, maxPulseWidth, minAngle, maxAngle);
  // - pin: номер пина к которому подключён сервопривод
  // - minPulseWidth: ширина импульса, соответствующая минимальному углу поворота. 
  // Опциональный и по умолчанию стоит 544 мкс.
  // - maxPulseWidth: ширина импульса, соответствующая максимальной углу поворота. 
  // Опциональный и по умолчанию стоит 2400 мкс.
  // - minAngle: минимальный угол поворота сервопривода. 
  // Опциональный и по умолчанию стоит 0°.
  // - maxAngle: максимальный угол поворота сервопривода. 
  // Опциональный и по умолчанию стоит 180°.
  // Данные возьмите из технических характеристик мотора
  servo.attach(SERVO_PIN, 544, 2400, 0, 180);
}

void loop() {
  // Перебираем значения угла сервы от min до max
  for (int pos = servo.getMinAngle(); pos <= servo.getMaxAngle(); pos++) {
    // Отправляем текущий угол на серво
    servo.writeAngle(pos);
    // Ждём 20 мс
    delay(20);
  }
  // Перебираем значения угла сервы от max до min
  for (int pos = servo.getMaxAngle(); pos >= servo.getMinAngle(); pos--) {
    // Отправляем текущий угол на серво
    servo.writeAngle(pos);
    // Ждём 20 мс
    delay(20);
  }
}
