// Библиотека с расширенными функциями для работы с Servo
#include <AmperkaServo.h>
 
// Создаём объект для работы с сервомоторами
AmperkaServo servo;

// Задаём имя пина к которому подключён сервопривод
constexpr uint8_t SERVO_PIN = 9;

void setup() {
  // Подключаем сервомотор
  // servo.attach(SERVO_PIN);
  // Подключаем сервомотор с расширенными параметрами
  // Советуем использовать именно этот вариант для точной настройки мотора  
  // servo.attach(pin, minPulseWidth, maxPulseWidth, minAngle, maxAngle);
  // - pin: номер пина к которому подключён сервопривод
  // - minPulseWidth: ширина импульса, соответствующая минимальному углу поворота. 
  // Опциональный и по умолчанию стоит 544 мкс.
  // - maxPulseWidth: ширина импульса, соответствующая максимальной углу поворота. 
  // Опциональный и по умолчанию стоит 2400 мкс.
  // - minAngle: минимальный угол поворота сервопривода. 
  // Опциональный и по умолчанию стоит 0°.
  // - maxAngle: максимальный угол поворота сервопривода. 
  // Опциональный и по умолчанию стоит 180°.
  // Данные возьмите из технических характеристик мотора
  servo.attach(SERVO_PIN, 544, 2400, 0, 180);
}

void loop() {
  // Устанавливаем минимальный угол
  servo.writeAngle(servo.getMinAngle());
  // Ждём 1 секунду
  delay(1000);
  // Устанавливаем среднее положение
  servo.writeAngle(servo.getMidAngle());
  // Ждём 1 секунду
  delay(1000);
  // Устанавливаем максимальный угол
  servo.writeAngle(servo.getMaxAngle());
  // Ждём 1 секунду
  delay(1000);
  // Устанавливаем среднее положение
  servo.writeAngle(servo.getMidAngle());
  // Ждём 1 секунду
  delay(1000);
}
